Debian Bug report logs - #518696
ITP: parallel -- build and execute command lines from standard input in parallel

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: sthibault@debian.org

Date: Sun, 8 Mar 2009 02:33:01 UTC

Owned by: sthibault@debian.org

Severity: wishlist

Fixed in version parallel/20120322-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Sun, 08 Mar 2009 02:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

N/A; reported 2009-03-08

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 08 Mar 2009 02:33:03 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: control@bugs.debian.org
Subject: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Sun, 8 Mar 2009 03:11:38 +0100
Package: wnpp
Version: N/A; reported 2009-03-08
Severity: wishlist

* Package name    : parallel
  Version         : 20090218
  Upstream Author : Ole Tange
* URL             : https://savannah.nongnu.org/projects/parallel/
* License         : GPLv3
  Description     : build and execute command lines from standard input in parallel
 For each line of input parallel will execute command with the line
 as arguments. If no command is given the line of input is executed.
 parallel can often be used as a substitute for xargs or cat | sh.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rottmann <a.rottmann@gmx.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 10:27:06 GMT) Full text and rfc822 format available.

Message #10 received at 518696@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: debian-devel@lists.debian.org
Cc: 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 09 Mar 2009 11:25:11 +0100
Samuel Thibault <samuel.thibault@ens-lyon.org> writes:

> Package: wnpp
> Version: N/A; reported 2009-03-08
> Severity: wishlist
>
> * Package name    : parallel
>   Version         : 20090218
>   Upstream Author : Ole Tange
> * URL             : https://savannah.nongnu.org/projects/parallel/
> * License         : GPLv3
>   Description     : build and execute command lines from standard input in parallel
>  For each line of input parallel will execute command with the line
>  as arguments. If no command is given the line of input is executed.
>  parallel can often be used as a substitute for xargs or cat | sh.
>
Did you know about the `-P' option of GNU xargs? IIUC, it does quite the
same thing -- what does 'parallel' offer of that functionality?

From xargs(1):

       --max-procs=max-procs
       -P max-procs
              Run up to max-procs processes at a time; the default is 1.
              If max- procs is 0, xargs will run as many processes as
              possible at a time.  Use the -n option with -P; otherwise
              chances are that only one exec will be done.

Regards, Rotty




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 10:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 10:57:14 GMT) Full text and rfc822 format available.

Message #15 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Andreas Rottmann <a.rottmann@gmx.at>
Cc: debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 11:40:51 +0100
clone 518696 -1
reassign -1 findutils
retitle -1 Add "parallel" somewhere in the description of -P
thanks

Andreas Rottmann, le Mon 09 Mar 2009 11:25:11 +0100, a écrit :
> Did you know about the `-P' option of GNU xargs?

Herm, I would have found it if the manpage didn't lack keywords like
"parallel", "simultaneous", ... Reassigning.

That being said, I guess xargs lacks one parallel feature:

 -g       Group output.  Output from each jobs is grouped together and is only printed
          when the command is finished. STDERR first followed by STDOUT.  -g is the
          default. Can be reversed with -u.

A lot of applications (including md5sum) would not necessarily print
their output atomically and then you get mixed output.  Either we add
the option to findutils, or we package parallel.

Samuel




Bug 518696 cloned as bug 518937. Request was from Samuel Thibault <samuel.thibault@ens-lyon.org> to control@bugs.debian.org. (Mon, 09 Mar 2009 10:57:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 17:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rottmann <a.rottmann@gmx.at>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 17:21:02 GMT) Full text and rfc822 format available.

Message #22 received at 518696@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>
Cc: debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 09 Mar 2009 18:19:57 +0100
[Message part 1 (text/plain, inline)]
Samuel Thibault <samuel.thibault@ens-lyon.org> writes:

> Andreas Rottmann, le Mon 09 Mar 2009 11:25:11 +0100, a écrit :
>> Did you know about the `-P' option of GNU xargs?
>
> Herm, I would have found it if the manpage didn't lack keywords like
> "parallel", "simultaneous", ... Reassigning.
>
> That being said, I guess xargs lacks one parallel feature:
>
>  -g       Group output.  Output from each jobs is grouped together and is only printed
>           when the command is finished. STDERR first followed by STDOUT.  -g is the
>           default. Can be reversed with -u.
>
> A lot of applications (including md5sum) would not necessarily print
> their output atomically and then you get mixed output.  Either we add
> the option to findutils, or we package parallel.
>
Indeed, that's a very valuable feature (if not essential) when the
commands produce output; I've attached a script that can be used to
verify that "xargs -P" does not do this, can be used like:

xargs -P 5 ./test.sh < /some/text/file

[test.sh (text/x-sh, inline)]
#!/bin/sh

for i in `seq 10`; do
    echo -n "$i "
    sleep 1
done
echo
[Message part 3 (text/plain, inline)]
Regards, Rotty

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@cs.pdx.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 19:48:02 GMT) Full text and rfc822 format available.

Message #27 received at 518696@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@cs.pdx.edu>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, Andreas Rottmann <a.rottmann@gmx.at>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 12:46:35 -0700
On Mon, Mar 09, 2009 at 11:40:51AM +0100, Samuel Thibault wrote:
> A lot of applications (including md5sum) would not necessarily print
> their output atomically and then you get mixed output.  Either we add
> the option to findutils, or we package parallel.

It appears to me that you can get the same functionality by using xargs
with an adapted version of annotate-output(1) which is a part of
devscripts.  Are there other reasons to use parallel?

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 22:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 22:09:16 GMT) Full text and rfc822 format available.

Message #32 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Chuan-kai Lin <cklin@cs.pdx.edu>
Cc: Andreas Rottmann <a.rottmann@gmx.at>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 22:53:44 +0100
Chuan-kai Lin, le Mon 09 Mar 2009 12:46:35 -0700, a écrit :
> On Mon, Mar 09, 2009 at 11:40:51AM +0100, Samuel Thibault wrote:
> > A lot of applications (including md5sum) would not necessarily print
> > their output atomically and then you get mixed output.  Either we add
> > the option to findutils, or we package parallel.
> 
> It appears to me that you can get the same functionality by using xargs
> with an adapted version of annotate-output(1) which is a part of
> devscripts.  Are there other reasons to use parallel?

Upstream author would say that xargs also misses

       -c       Line is a command.  The input line contains more than one
                argument or the input line needs to be evaluated by the shell.
                This is the default if command is not set. Can be reversed
                with -f.

which makes parallel not take a command, but executes commands from
stdin.  That can however be obtained by xargs sh -c.  Another option
that xargs misses is

       -j +N    Add N to the number of CPUs.  Run this many jobs in parallel.
                For compute intensive jobs -j +0 is useful as it will run
                number-of-cpus jobs in parallel.

       -j -N    Subtract N from the number of CPUs.  Run this many jobs in
                parallel.  If the evaluated number is less than 1 then 1 will
                be used.

       -j N%    Multiply N% with the number of CPUs.  Run this many jobs in
                parallel.  If the evaluated number is less than 1 then 1 will
                be used.

in particular -j +0 is really useful.  I would personally be happy if
xargs was just able to consider e.g. -P -1 as "run as many processes as
there are processors".

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 22:12:05 GMT) Full text and rfc822 format available.

Message #37 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Chuan-kai Lin <cklin@cs.pdx.edu>
Cc: Andreas Rottmann <a.rottmann@gmx.at>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 22:57:57 +0100
Chuan-kai Lin, le Mon 09 Mar 2009 12:46:35 -0700, a écrit :
> On Mon, Mar 09, 2009 at 11:40:51AM +0100, Samuel Thibault wrote:
> > A lot of applications (including md5sum) would not necessarily print
> > their output atomically and then you get mixed output.  Either we add
> > the option to findutils, or we package parallel.
> 
> It appears to me that you can get the same functionality by using xargs
> with an adapted version of annotate-output(1) which is a part of
> devscripts.

I thought at first "it's not particularly convenient", then "well, so
what".  Now I'm thinking "Mmm, but people won't know they should do it
and blame xargs for being broken".  Also annotate-output is not enough
when programs e.g. output Packages entries, which not only should be
line-atomic, but also paragraph-atomic...

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 22:42:03 GMT) Full text and rfc822 format available.

Message #42 received at 518696@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, Chuan-kai Lin <cklin@cs.pdx.edu>, Andreas Rottmann <a.rottmann@gmx.at>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 23:35:15 +0100
[Message part 1 (text/plain, inline)]
Samuel Thibault <samuel.thibault@ens-lyon.org> (09/03/2009):
> which makes parallel not take a command, but executes commands from
> stdin.  That can however be obtained by xargs sh -c.  Another option
> that xargs misses is
> 
>        -j +N    Add N to the number of CPUs.  Run this many jobs in parallel.
>                 For compute intensive jobs -j +0 is useful as it will run
>                 number-of-cpus jobs in parallel.
> 
>        -j -N    Subtract N from the number of CPUs.  Run this many jobs in
>                 parallel.  If the evaluated number is less than 1 then 1 will
>                 be used.
> 
>        -j N%    Multiply N% with the number of CPUs.  Run this many jobs in
>                 parallel.  If the evaluated number is less than 1 then 1 will
>                 be used.

Particularly useful in cluster environments. :)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Mon, 09 Mar 2009 23:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuan-kai Lin <cklin@cs.pdx.edu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 09 Mar 2009 23:21:03 GMT) Full text and rfc822 format available.

Message #47 received at 518696@bugs.debian.org (full text, mbox):

From: Chuan-kai Lin <cklin@cs.pdx.edu>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, Andreas Rottmann <a.rottmann@gmx.at>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Mon, 9 Mar 2009 16:19:53 -0700
On Mon, Mar 09, 2009 at 10:57:57PM +0100, Samuel Thibault wrote:
> I thought at first "it's not particularly convenient", then "well, so
> what".  Now I'm thinking "Mmm, but people won't know they should do it
> and blame xargs for being broken".  Also annotate-output is not enough
> when programs e.g. output Packages entries, which not only should be
> line-atomic, but also paragraph-atomic...

Below is what I had in mind when I mentioned adapting annotate-output to
a different "atomic-output" script.  This script is usefull not just
with "xargs -P", but also with "make -j" and with standard background
jobs (shell & operator), all of which produce mixed output.

Similarly, about matching the number of parallel jobs with the number of
processors/cores, we can write a script "ncpus" which returns the number
of processors/cores/hyper-threads.  You can use the ncpus script with
xargs, with make, or with my new project mdm (mdm.berlios.de)...

I consider separating these concerns (output management, processor
thread detection) into small, separate, and reusable scripts a cleaner
solution.  Of course, doing it this way requires some user education, so
a few manpage updates (for example, adding atomic-output and ncpus to
the SEE ALSO section of xargs) may be in order.

----------

#! /bin/bash
# Display stdout and stderr output after program termination
# Adapted from annotate-output by Chuan-kai Lin
# Original annotate-output author info and copyright notice as follows

# this script was downloaded from:
# http://jeroen.a-eskwadraat.nl/sw/annotate 
# and is part of devscripts 2.10.46

# Executes a program annotating the output linewise with time and stream
# Version 1.2

# Copyright 2003, 2004 Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

OUT=`mktemp /tmp/atomic.XXXXXX` || exit 1
ERR=`mktemp /tmp/atomic.XXXXXX` || exit 1

echo "------ `date +%H:%M:%S` Started $@" > $ERR
echo "------ STDERR" >> $ERR
echo "------ STDOUT" >> $OUT
"$@" >> $OUT 2>> $ERR ; EXIT=$?

cat $ERR
cat $OUT
echo "------ `date +%H:%M:%S` Finished with exitcode $EXIT"
rm -f $OUT $ERR

exit $EXIT

-- 
Chuan-kai Lin
http://web.cecs.pdx.edu/~cklin/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Wed, 11 Mar 2009 16:06:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Tange <ole@tange.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 11 Mar 2009 16:06:19 GMT) Full text and rfc822 format available.

Message #52 received at 518696@bugs.debian.org (full text, mbox):

From: Ole Tange <ole@tange.dk>
To: debian-devel@lists.debian.org
Cc: 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Wed, 11 Mar 2009 17:05:34 +0100
One of friends alerted me to your discussion of 'parallel' and whether
other tools can replace it. Here are some good examples to try to
reproduce without 'parallel':

$ ls | grep abc | parallel gzip -c >/tmp/file.gz

Try this in a dir with 1000 50 kB sized mixed files with file names
that include these characters: [-'` "+*<>&$!?|]. The output is a valid
.gz file as the output is grouped. In other solutions not using
parallel you will often have a race condition (such as running two
cat's in parallel).

$ ls | parallel diff {} foo ">"{}.diff
$ ls | parallel 'echo -n {}" "; ls {}|wc -l'

These should also be run on files with names containing interesting
characters [-'` "+*<>&$!?|].

$ seq 1 255 | parallel -j 50 'ping -c 1 10.0.0.{} && wget
http://status-server/status.cgi?ip=10.0.0.{}'

The 3 above would normally require making a script and calling it. I
have yet to see how to do that on the command line (including the
parallelization).

$ cat shellscript
ls foo
touch bar
host foo.bar
ping bar.foo
seq 1 10 | ssh foo.bar "cat >/tmp/count"
wget http://foo.bar/info
[...1000000 other one line shell commands...]
$ cat shellscript | time sh
$ cat shellscript | time parallel

This one of the ways I use 'parallel' most with the shellscript often
being generated.

There are more examples in the man-page.

<Disclosure>
I am the author of 'parallel'
</Disclosure>

/Ole




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Wed, 11 Mar 2009 16:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 11 Mar 2009 16:36:02 GMT) Full text and rfc822 format available.

Message #57 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Ole Tange <ole@tange.dk>
Cc: debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Wed, 11 Mar 2009 17:34:51 +0100
Ole Tange, le Wed 11 Mar 2009 17:05:34 +0100, a écrit :
> One of friends alerted me to your discussion of 'parallel' and whether
> other tools can replace it.

The question could also be rephrased: can't we just extended xargs into
supporting what parallel does?  Having two separate tools will always
make arguments about "A does this, B doesn't" and vice-versa, while
xargs could just do everything.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#518696; Package wnpp. (Thu, 12 Mar 2009 02:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Tange <ole@tange.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 12 Mar 2009 02:45:05 GMT) Full text and rfc822 format available.

Message #62 received at 518696@bugs.debian.org (full text, mbox):

From: Ole Tange <ole@tange.dk>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>, Ole Tange <ole@tange.dk>, debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Thu, 12 Mar 2009 03:43:12 +0100
On Wed, Mar 11, 2009 at 5:34 PM, Samuel Thibault
<samuel.thibault@ens-lyon.org> wrote:
> Ole Tange, le Wed 11 Mar 2009 17:05:34 +0100, a écrit :
>> One of friends alerted me to your discussion of 'parallel' and whether
>> other tools can replace it.
>
> The question could also be rephrased: can't we just extended xargs into
> supporting what parallel does?  Having two separate tools will always
> make arguments about "A does this, B doesn't" and vice-versa, while
> xargs could just do everything.

When I started coding 'parallel' I thought of extending 'xargs' for
exactly the same reason. I decided against it for two reasons:

* My C-skills are rusty and I never really liked C, so I would have to
convince someone else to write it.

* I would not be able to change xargs so it became incompatible with
the current version of xargs. This would make it impossible to change
the default behaviour of xargs to something that would make sense 99%
of the time.

xargs default of treating

  printf "foo bar" | xargs echo

the same as:

  printf "foo\nbar" | xargs echo

is not what I want in 99% of the cases. In 90% of the cases I do not
care, and the the last 9% I get burned by the behaviour.

I have been burned quite a few times by xargs for not dealing nicely
with input that is \n separated but which contains interesting
characters such as space or '. parallel's primary purpose was to be
run interactively for things that are only to be run once; if running
the same input with xargs requires a lot of pre+postprocessing and
special options, then it is easier to extend parallel to include what
xargs does (BTW next version of parallel will support -x which will
insert as many arguments as command line length permits).

I believe the man page of xargs shows a good example of the problem of
xargs not doing what the user expects. The first example says:

  find /tmp -name core -type f -print | xargs /bin/rm -f

       Find files named core in or below the directory /tmp and delete
them.  Note that this
       will work incorrectly if there are any filenames containing
newlines or spaces.

But even the man page writer forgets that if any of the dirs contain a
' or a ` or a " you still have to remember -0. If a dir is called
"\\'" then xargs will not even complain but silently fail to remove
the file.

To me the default should work in most cases and not cause the user to
rethink the strategy. On my alpha testers I tried out different
defaults to get to a default setting that would do what they expected
in most cases.


/Ole




Owner recorded as Samuel Thibault <samuel.thibault@ens-lyon.org>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Fri, 13 Mar 2009 03:18:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Fri, 10 Jul 2009 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Fri, 10 Jul 2009 21:33:05 GMT) Full text and rfc822 format available.

Message #69 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Ole Tange <ole@tange.dk>
Cc: debian-devel@lists.debian.org, 518696@bugs.debian.org
Subject: Re: #518696 ITP: parallel -- build and execute command lines from standard input in parallel]
Date: Fri, 10 Jul 2009 23:28:17 +0200
I just noticed moreutils version 0.36 now contains a parallel command
too.  I haven't tested it yet.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Mon, 07 Dec 2009 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pádraig Brady <P@draigBrady.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Mon, 07 Dec 2009 10:03:03 GMT) Full text and rfc822 format available.

Message #74 received at 518696@bugs.debian.org (full text, mbox):

From: Pádraig Brady <P@draigBrady.com>
To: 518696@bugs.debian.org
Subject: coreutils parallel enhancements
Date: Mon, 07 Dec 2009 09:54:06 +0000
Just a note to say recent coreutils include an `nproc`
command which you can use like:

xargs -P$(nroc)
xargs -P$(nroc --ignore=1)

Also I've updated md5sum, sha1sum, ... to output
their lines atomically, so they're not interspersed.

cheers,
Pádraig.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Wed, 29 Dec 2010 21:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Wed, 29 Dec 2010 21:42:08 GMT) Full text and rfc822 format available.

Message #79 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 518696@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Wed, 29 Dec 2010 22:28:16 +0100
Hello,

Time has passed and parallel became a GNU project:

http://www.gnu.org/software/parallel/

I guess packaging it can be reconsidered?

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Wed, 29 Dec 2010 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Wed, 29 Dec 2010 23:24:03 GMT) Full text and rfc822 format available.

Message #84 received at 518696@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 518696@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Thu, 30 Dec 2010 00:21:22 +0100
On Wed, Dec 29, 2010 at 10:28:16PM +0100, Samuel Thibault wrote:
> Hello,
> 
> Time has passed and parallel became a GNU project:
> 
> http://www.gnu.org/software/parallel/
> 
> I guess packaging it can be reconsidered?

Do you know about parallel in moreutils?  Is there an advantage
over that one?


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Wed, 29 Dec 2010 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "R. Andrew Bailey" <bailey@akamai.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Wed, 29 Dec 2010 23:27:03 GMT) Full text and rfc822 format available.

Message #89 received at 518696@bugs.debian.org (full text, mbox):

From: "R. Andrew Bailey" <bailey@akamai.com>
To: 518696@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Wed, 29 Dec 2010 18:18:51 -0500
On 29/12/10 15:28 -0600, Samuel Thibault wrote:
>Hello,
>
>Time has passed and parallel became a GNU project:
>
>http://www.gnu.org/software/parallel/
>
>I guess packaging it can be reconsidered?
>
>Samuel
>
>

I've been working on a package for parallel, but I'm a newbie
maintainer so it'll probably turn up a lot of crud in the review.

Packaging is at:

https://github.com/GooseYArd/bailey-debian/tree/master/parallel/parallel-20101202/debian

 .andy




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Wed, 29 Dec 2010 23:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Wed, 29 Dec 2010 23:36:03 GMT) Full text and rfc822 format available.

Message #94 received at 518696@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 518696@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Thu, 30 Dec 2010 00:33:51 +0100
[Message part 1 (text/plain, inline)]
Kurt Roeckx <kurt@roeckx.be> (30/12/2010):
> Do you know about parallel in moreutils?  Is there an advantage over
> that one?

The bug log answers the former (yes). The 4 options mentioned in
moreutils's manpage seem to have an equivalent in GNU parallel,
according to the first link under “Documentation”.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to 'sthibault@debian.org' from 'Samuel Thibault <samuel.thibault@ens-lyon.org>' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 30 Jan 2011 19:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Tue, 08 Feb 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans Schou <hans.schou@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Tue, 08 Feb 2011 10:09:03 GMT) Full text and rfc822 format available.

Message #101 received at 518696@bugs.debian.org (full text, mbox):

From: Hans Schou <hans.schou@gmail.com>
To: 518696@bugs.debian.org
Subject: Progress on Gnu parallel?
Date: Tue, 8 Feb 2011 11:03:54 +0100
Hi

What is the status on having Gnu parallel in debian?

The track record for parallel in moreutils is a bit strange. It was
added to moreutils some months after Gnu parallel was introduced and
now moreutils-parallel seems like it is some how discontinued.

best regards
Hans




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Sat, 26 Feb 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Zarkadas <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Sat, 26 Feb 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #106 received at 518696@bugs.debian.org (full text, mbox):

From: George Zarkadas <georgios.zarkadas@gmail.com>
To: 518696@bugs.debian.org, samuel.thibault@ens-lyon.org
Subject: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Sat, 26 Feb 2011 22:42:43 +0200
Hi,

I see that nearly two years have passed from the original ITP.  I offer
to undertake this task (for upstream version 20110205), if the original
submitter agrees.

regards
Georgios Zarkadas








Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Sat, 26 Feb 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Sat, 26 Feb 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #111 received at 518696@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: George Zarkadas <georgios.zarkadas@gmail.com>, 518696@bugs.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Sat, 26 Feb 2011 21:46:21 +0100
George Zarkadas, le Sat 26 Feb 2011 22:42:43 +0200, a écrit :
> I see that nearly two years have passed from the original ITP.  I offer
> to undertake this task (for upstream version 20110205), if the original
> submitter agrees.

Sure.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Sun, 27 Feb 2011 01:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Zarkadas <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Sun, 27 Feb 2011 01:12:03 GMT) Full text and rfc822 format available.

Message #116 received at 518696@bugs.debian.org (full text, mbox):

From: George Zarkadas <georgios.zarkadas@gmail.com>
To: Samuel Thibault <sthibault@debian.org>, 518696@bugs.debian.org
Subject: Re: Bug#518696: ITP: parallel -- build and execute command lines from standard input in parallel
Date: Sun, 27 Feb 2011 03:11:46 +0200
Στις 26-02-2011, ημέρα Σαβ, και ώρα 21:46 +0100, ο/η Samuel Thibault
έγραψε:
> George Zarkadas, le Sat 26 Feb 2011 22:42:43 +0200, a écrit :
> > I see that nearly two years have passed from the original ITP.  I offer
> > to undertake this task (for upstream version 20110205), if the original
> > submitter agrees.
> 
> Sure.
> 
> Samuel

Hi, 

I have uploaded the package to mentors.debian.net. URL is:
http://mentors.debian.net/debian/pool/main/p/parallel

I have tested installation and that there are no name conflicts with
other packages in squeeze. 

I get only one warning with lintian for a man page, which I will fix
as soon as I study a bit the nroff format. 

Please advise on how to proceed.

regards
George Zarkadas





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Thu, 03 Mar 2011 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Zarkadas <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Thu, 03 Mar 2011 11:06:03 GMT) Full text and rfc822 format available.

Message #121 received at 518696@bugs.debian.org (full text, mbox):

From: George Zarkadas <georgios.zarkadas@gmail.com>
To: 518696@bugs.debian.org
Subject: Re: Bug#518696: Info received (ITP: parallel -- build and execute command lines from standard input in parallel)
Date: Thu, 03 Mar 2011 13:05:51 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have converted the package to 3.0 (quilt) source format and fixed the
dependencies. It now builds with pbuilder, installs and deinstalls ok
inside the chroot environment and also is lintian-clean. 

The relevant files in mentors.debian.net are (ignore the rest):

parallel_20110205-1.debian.tar.gz 03-Mar-2011 00:11  6.6K  
parallel_20110205-1.dsc           03-Mar-2011 00:11  1.7K  
parallel_20110205.orig.tar.gz     03-Mar-2011 00:11  238K  

I will, if there are no objections, send in the next days 
an RFS to the mentors list.

regards
George Zarkadas
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Tue, 08 Mar 2011 06:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noah Meyerhans <noahm@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Tue, 08 Mar 2011 06:48:05 GMT) Full text and rfc822 format available.

Message #126 received at 518696@bugs.debian.org (full text, mbox):

From: Noah Meyerhans <noahm@debian.org>
To: George Zarkadas <georgios.zarkadas@gmail.com>, 518696@bugs.debian.org
Subject: Re: Bug#518696: Info received (ITP: parallel -- build and execute command lines from standard input in parallel)
Date: Mon, 7 Mar 2011 22:24:05 -0800
[Message part 1 (text/plain, inline)]
On Thu, Mar 03, 2011 at 01:05:51PM +0200, George Zarkadas wrote:
> I have converted the package to 3.0 (quilt) source format and fixed the
> dependencies. It now builds with pbuilder, installs and deinstalls ok
> inside the chroot environment and also is lintian-clean. 
> 
> The relevant files in mentors.debian.net are (ignore the rest):
> 
> parallel_20110205-1.debian.tar.gz 03-Mar-2011 00:11  6.6K  
> parallel_20110205-1.dsc           03-Mar-2011 00:11  1.7K  
> parallel_20110205.orig.tar.gz     03-Mar-2011 00:11  238K  
> 
> I will, if there are no objections, send in the next days 
> an RFS to the mentors list.

Hi George.  I'm interested in GNU parallel and am willing to sponsor and
potentially co-maintain your packages.  I'll try to review them within
the next couple of days.  Let me know if somebody takes care of them
before me.

noah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug#518696; Package wnpp. (Fri, 11 Mar 2011 12:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Zarkadas <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Samuel Thibault <samuel.thibault@ens-lyon.org>. (Fri, 11 Mar 2011 12:21:07 GMT) Full text and rfc822 format available.

Message #131 received at 518696@bugs.debian.org (full text, mbox):

From: George Zarkadas <georgios.zarkadas@gmail.com>
To: Noah Meyerhans <noahm@debian.org>
Cc: 518696@bugs.debian.org
Subject: Re: Bug#518696: Info received (ITP: parallel -- build and execute command lines from standard input in parallel)
Date: Fri, 11 Mar 2011 14:22:06 +0200
[Message part 1 (text/plain, inline)]
Στις 07-03-2011, ημέρα Δευ, και ώρα 22:24 -0800, ο/η Noah Meyerhans
έγραψε:
...
> Hi George.  I'm interested in GNU parallel and am willing to sponsor and
> potentially co-maintain your packages.  I'll try to review them within
> the next couple of days.  Let me know if somebody takes care of them
> before me.
> 
> noah

Hi Noah,

I will be happy to have you as a sponsor. I didn't sent the RFS; you can
schedule your review with more elasticity :). I will also need a few
days to work with git integration and convert patches to use the DEP-3
format.

regards
George Zarkadas


[signature.asc (application/pgp-signature, inline)]

Owner changed from Samuel Thibault <samuel.thibault@ens-lyon.org> to sthibault@debian.org. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sun, 20 Mar 2011 19:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Thu, 12 May 2011 10:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Thu, 12 May 2011 10:54:10 GMT) Full text and rfc822 format available.

Message #138 received at 518696@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 518696@bugs.debian.org, sthibault@debian.org
Cc: Noah Meyerhans <noahm@debian.org>, George Zarkadas <georgios.zarkadas@gmail.com>
Subject: Re: Bug#518696: Info received (ITP: parallel -- build and execute command lines from standard input in parallel)
Date: Thu, 12 May 2011 11:46:37 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Fri, Mar 11, 2011 at 02:22:06PM +0200, George Zarkadas wrote:
> Στις 07-03-2011, ημέρα Δευ, και ώρα 22:24 -0800, ο/η Noah Meyerhans
> έγραψε:

> > Hi George.  I'm interested in GNU parallel and am willing to sponsor and
> > potentially co-maintain your packages.  I'll try to review them within
> > the next couple of days.  Let me know if somebody takes care of them
> > before me.
 
> I will be happy to have you as a sponsor. I didn't sent the RFS; you can
> schedule your review with more elasticity :). I will also need a few
> days to work with git integration and convert patches to use the DEP-3
> format.

Would it be possible to upload this package?
(It needs to update standards version)

Samuel, what do you think?

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar System,
which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Sun, 15 May 2011 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to George Zarkadas <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Sun, 15 May 2011 18:48:03 GMT) Full text and rfc822 format available.

Message #143 received at 518696@bugs.debian.org (full text, mbox):

From: George Zarkadas <georgios.zarkadas@gmail.com>
To: Hector Oron <zumbi@debian.org>
Cc: 518696@bugs.debian.org, sthibault@debian.org, Noah Meyerhans <noahm@debian.org>, Joey Hess <joeyh@debian.org>
Subject: Re: Bug#518696: Info received (ITP: parallel -- build and execute command lines from standard input in parallel)
Date: Sun, 15 May 2011 21:47:58 +0300
[Message part 1 (text/plain, inline)]
The package as is silently replaces file /usr/bin/parallel of package
moreutils, so it is not suitable for upload yet.

There has been a discussion in debian-mentors@lists.debian.org with Joey
Hess, the maintainer of the moreutils package, between 11th and 14th of
April, after my initial RFS, which has not concluded yet in its
entirety, but shows that either:

a. A use of the alternatives mechanism will be possible with the next
(March or maybe newer) release of gnu parallel and having --tollef as
the default configuration to be switch compatible with the moreutils'
one.

I will explore this possibility next month, since currently I am doing
some work for the bastille package (first two steps of RFH #592137). 

b. The two utilities will not be possible to be made compatible, in
which case a diversion can be added to the parallel package for the
"offending" /usr/bin/parallel path and possibly a Breaks clause in the
control file for the packages that J.Hess stated that are in incoming
and use moreutils' parallel (when they appear in the archive).

I will also explore this possibility in parallel with the first and
depending on the outcome I may come up with yet another flavor of the
package, so that they will be both available to choose. 

c. There is of course the possibility to just rename the "newcomer"
parallel to something else and get done with it, but I am reluctant to
do so because the existing utility has less features from the other one,
and has not seen much development from the July of 2009, apart from the
patches of J.Hess for about a year after the last merge from the
original author's repo, that is until about a year ago; cf.:
http://git.kitenet.net/?p=moreutils.git;a=history;f=parallel.c;h=d283b96101fbc89ef214436bab316cf1092536f9;hb=c27365c4f2a7e42841aef3f53b9316b4aaab730a ).
This is essentially acknowledged at bug #597050, since it remains open.
On contrast gnu parallel releases at about monthly intervals, adding new
features in every release. Clearly the momentum at this period is at the
"newcomer" and where there is momentum there is also benefit for the
users of Debian.

I am however equally reluctant to accept the view of the original
submitter of bug #597050, that moreutil's parallel should be retired.
Its main feature is that it is C code, thus less dependencies (which is
useful in certain environments) and possibly more speed; though the
later may be not significant apart from the startup time. I am not in a
state at this moment to make a detailed in-depth comparison between the
two, but in any case that a piece of software may today lag in features
compared to another one, it is clearly conceivable that it can acquire
more if someone has the time to fiddle with the source.

All of these of course need to be weighted. To end here, it is good to
have alternatives when there are multiple offers. And from the user
point of view it is good to not have to remember many names. So, I will
pursue the alternative root since it seems the fairest given the state
of the current offers, it allows potential for development to both
sides, it gives Debian users the right to choose and also gives room for
other candidates to appear -if ever- to fill the gaps between the
available implementations.

I would like your opinions though, and your experience as a guide,
because while the package is very easy to prepare in isolation, since
upstream source is well-formed, its interactions with other parts of the
Debian archive, raise it above what could be called the
"entry-level-to-packaging" category.

regards

George Zarkadas


Στις 12-05-2011, ημέρα Πεμ, και ώρα 11:46 +0100, ο/η Hector Oron έγραψε:
> Hi,
> 
> On Fri, Mar 11, 2011 at 02:22:06PM +0200, George Zarkadas wrote:
> > Στις 07-03-2011, ημέρα Δευ, και ώρα 22:24 -0800, ο/η Noah Meyerhans
> > έγραψε:
> 
> > > Hi George.  I'm interested in GNU parallel and am willing to sponsor and
> > > potentially co-maintain your packages.  I'll try to review them within
> > > the next couple of days.  Let me know if somebody takes care of them
> > > before me.
>  
> > I will be happy to have you as a sponsor. I didn't sent the RFS; you can
> > schedule your review with more elasticity :). I will also need a few
> > days to work with git integration and convert patches to use the DEP-3
> > format.
> 
> Would it be possible to upload this package?
> (It needs to update standards version)
> 
> Samuel, what do you think?
> 
> Best regards,

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Tue, 17 May 2011 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hans Schou <hans.schou@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Tue, 17 May 2011 21:33:07 GMT) Full text and rfc822 format available.

Message #148 received at 518696@bugs.debian.org (full text, mbox):

From: Hans Schou <hans.schou@gmail.com>
To: 518696@bugs.debian.org
Subject: GNU Parallel vs. moreutils
Date: Tue, 17 May 2011 23:32:21 +0200
To George Zarkadas,

Regarding the package conflict between gnu parallel and moreutils parallel.

I am using gnu parallel on both Debian and Redhat and sometimes other
systems. It would be no help to me if there some day came a Debian gnu
parallel package named 'gparallel'. I would still have to install from
tar-ball or my own package.

I think there was one person suggesting to put moreutils parallel into
a package called moreutils-parallel and then remove it from the
moreutils package. I think that would be solution everyone could live
with. No-one would install both packages and if they want to switch it
is fairly simple.

It is really not very relevant to talk about which implementation is
the "newcomer" but it is actually moreutils parallel which is the new
one. At least it says here:
http://www.gnu.org/software/parallel/history.html

I think all the problems comes from that gnu parallel was not written
in C and the moreutils parallel has a lack of features and no one to
catch up on it. Not an easy thing to deal with.

Question: Is it possible to make a good solution in /etc/alternatives/ ?

best regards
Hans Schou




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Mon, 11 Jul 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Mon, 11 Jul 2011 10:15:41 GMT) Full text and rfc822 format available.

Message #153 received at 518696@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: 518696@bugs.debian.org
Cc: georgios.zarkadas@gmail.com
Subject: tollef compat mode
Date: Mon, 11 Jul 2011 12:14:10 +0200
[Message part 1 (text/plain, inline)]
gnu parallel 20110322 contains a tollec parallel compat mode and can use
a system wide config file to make it default [0].

would that be a solution to the problem?

[0] * Site wide config file: /etc/parallel/config

  This should solve the issue with some packagers renaming GNU
  Parallel to gparallel to avoid the naming conflict.

  By putting --tollef in the site wide config file you can deinstall
  Tollef's parallel and install GNU Parallel instead without any
  change for users or scripts. This is useful for packagers that
  currently rename GNU Parallel or simply do not distribute GNU
  Parallel because the command name conflicts with Tollef's parallel.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Mon, 22 Aug 2011 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Štěpán Němec <stepnem@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Mon, 22 Aug 2011 09:15:03 GMT) Full text and rfc822 format available.

Message #158 received at 518696@bugs.debian.org (full text, mbox):

From: Štěpán Němec <stepnem@gmail.com>
To: 518696@bugs.debian.org
Subject: GNU parallel is actually at least 3 standalone programs
Date: Mon, 22 Aug 2011 11:09:16 +0200
The upstream distribution also contains the `sql' and `niceload'
programs, which by themselves have nothing to do with executing jobs in
parallel and provide other useful functionality (I'd like to only use
the `niceload' utility, for example), so I think it would be more
useful/sensible to provide those as separate packages with `parallel'
possibly depending on them.

-- 
Štěpán




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Mon, 22 Aug 2011 18:30:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Mon, 22 Aug 2011 18:30:16 GMT) Full text and rfc822 format available.

Message #163 received at 518696@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Ole Tange <tange@gnu.org>
Cc: 518696@bugs.debian.org, 518696-submitter@bugs.debian.org
Subject: Re: GNU Parallel 20110822 ('Utøya') released
Date: Mon, 22 Aug 2011 15:20:20 -0300
Hi there.

On Mon, Aug 22, 2011 at 11:28, Ole Tange <tange@gnu.org> wrote:
> Debian people: This is the (2 years old) bug to push:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518696

Just for the record of Ole and other people involved in this bug
report, I have packaged it for Debian and I keep it in a git
repository under the collab-maint project:

    http://anonscm.debian.org/gitweb/?p=collab-maint/parallel.git

As Ole just announced the new version, I updated the packaging and I
also uploaded a binary file to a PPA of mine at:

    https://launchpad.net/~rbrito/+archive/ppa/+files/parallel_20110822-1.dsc

I really think that GNU parallel is a *great* tool and while many
people are talking about it, I have been using it for some real work.

Oh, yeah, I still owe Ole a review and some publicity in (Brazilian)
Portuguese, but I hope that a Debian package for the moment is a
short-term compensation. :)


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Message sent on to sthibault@debian.org:
Bug#518696. (Mon, 22 Aug 2011 18:30:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Fri, 02 Dec 2011 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jonathan E. Magen" <yonkeltron@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Fri, 02 Dec 2011 14:45:04 GMT) Full text and rfc822 format available.

Message #171 received at 518696@bugs.debian.org (full text, mbox):

From: "Jonathan E. Magen" <yonkeltron@gmail.com>
To: 518696@bugs.debian.org
Subject: status update and timeline?
Date: Fri, 2 Dec 2011 09:41:39 -0500
I just wanted to ask for an update as this package has been on the
wishlist for 2 years now. Would it be possible to get a timeline or
some sort of status explanation? I know from reading the bug history,
etc. that there are a few issues holding up the package but those
don't seem to have been addressed yet. Thanks to anyone who can
provide more information to a user looking forward to Debian being
enhanced by this wonderful Free Software tool.

Have a good one!

-- 
Jonathan E. Magen
http://www.yonkeltron.com
GTALK: yonkeltron@gmail.com
http://twitter.com/yonkeltron
ב"ה




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Sun, 04 Mar 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Sun, 04 Mar 2012 21:24:04 GMT) Full text and rfc822 format available.

Message #176 received at 518696@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: 518696@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>, George Zarkadas <georgios.zarkadas@gmail.com>, Noah Meyerhans <noahm@debian.org>
Subject: Progress?
Date: Sun, 4 Mar 2012 22:12:10 +0100
Hi,

any progress on uploading to unstable?  I can help/sponsor/comaintain.
If you don't respond, I'll just pick whatever is in collab-maint,
check it (is the conflict with moreutils solved) and upload to
unstable?

It would be nice to have GNU parallel in wheezy and we just have a
time for that.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Sun, 04 Mar 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Sun, 04 Mar 2012 21:30:06 GMT) Full text and rfc822 format available.

Message #181 received at 518696@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Ondřej Surý <ondrej@sury.org>
Cc: 518696@bugs.debian.org, George Zarkadas <georgios.zarkadas@gmail.com>, Noah Meyerhans <noahm@debian.org>
Subject: Re: Progress?
Date: Sun, 4 Mar 2012 18:20:10 -0300
Hurray!

On Sun, Mar 4, 2012 at 18:12, Ondřej Surý <ondrej@sury.org> wrote:
> any progress on uploading to unstable?  I can help/sponsor/comaintain.
> If you don't respond, I'll just pick whatever is in collab-maint,
> check it (is the conflict with moreutils solved) and upload to
> unstable?
>
> It would be nice to have GNU parallel in wheezy and we just have a
> time for that.

Indeed, I have just been packaging it for my own use (well, you can
see my name all over the repository in collab-maint) and I use it
frequently enough.

I had no hope of it being uploadable to debian proper, but I can give
it a few final touches and push a new packaging, which I'd love you to
sponsor.

If you are online, it would be good to chat a little bit and indicate
when the package is ready.


Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Sun, 04 Mar 2012 21:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Sun, 04 Mar 2012 21:48:07 GMT) Full text and rfc822 format available.

Message #186 received at 518696@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Ondřej Surý <ondrej@sury.org>
Cc: 518696@bugs.debian.org, George Zarkadas <georgios.zarkadas@gmail.com>, Noah Meyerhans <noahm@debian.org>
Subject: Re: Progress?
Date: Sun, 4 Mar 2012 18:44:48 -0300
Hi, Ondřej.

On Sun, Mar 4, 2012 at 18:12, Ondřej Surý <ondrej@sury.org> wrote:
> any progress on uploading to unstable?  I can help/sponsor/comaintain.
> If you don't respond, I'll just pick whatever is in collab-maint,
> check it (is the conflict with moreutils solved) and upload to
> unstable?

Just for the record, I have updated the packaging and pushed it to collab-maint:

    http://anonscm.debian.org/gitweb/?p=collab-maint/parallel.git

Please let me know if there is anything else that I should do.

Regards,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Mon, 05 Mar 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Mon, 05 Mar 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #191 received at 518696@bugs.debian.org (full text, mbox):

From: "Georgios M. Zarkadas" <georgios.zarkadas@gmail.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 518696@bugs.debian.org
Subject: [Fwd: Re: Progress?]
Date: Mon, 05 Mar 2012 01:58:39 +0200
[Message part 1 (text/plain, inline)]
Sorry for the previous message, it left my console incomplete;
continuing with the intended reply:

-------- Προωθημένο Μήνυμα --------
Από: Georgios M. Zarkadas <georgios.zarkadas@gmail.com>
Προς: Rogério Brito <rbrito@ime.usp.br>
Θέμα: Re: Progress?
Ημ/νία: Mon, 05 Mar 2012 01:30:00 +0200

Στις 04-03-2012, ημέρα Κυρ, και ώρα 18:44 -0300, ο/η Rogério Brito
έγραψε:
> Hi, Ondřej.
> 
> On Sun, Mar 4, 2012 at 18:12, Ondřej Surý <ondrej@sury.org> wrote:
> > any progress on uploading to unstable?  I can help/sponsor/comaintain.
> > If you don't respond, I'll just pick whatever is in collab-maint,
> > check it (is the conflict with moreutils solved) and upload to
> > unstable?
> 
> Just for the record, I have updated the packaging and pushed it to collab-maint:
> 
>     http://anonscm.debian.org/gitweb/?p=collab-maint/parallel.git
> 
> Please let me know if there is anything else that I should do.
> 
> Regards,
> 

You must do either of following:

[1]     Declare the package's conflict with moreutils in the control
file, because both packages share a binary in the path (/usr/bin/parallel).
That, is the debian/control file must contain a line:

    Conflicts: moreutils

Also, it may be needed (someone with more experience in policy should tell)
that moreutils also declares that conflict.

This is for the case that the default (--gnu) configuration is chosen for
the package.

[2]     Use the --tollef personality as default. Then there is no need for
a Conflicts, nor a need to modify moreutils. You just have to use dpkg-divert
in the install scripts to divert the moreutils' parallel with your package's
version.

Regarding ikiwiki-hosting-web, I believe that its only dependency from
moreutils is the use of chronic in its cron job. In any case a conflict with
that package is not necessary; the conflict with moreutils will be enough.

Also, for the case that --tollef / dpkg-divert is chosen, a later change by
the site admin of parallel's personality to --gnu will not interfere with the
ikiwiki-hosting-web package.

Just, FYI, the mentors thread, where the previous package's attempt was
discussed is: 
    http://lists.debian.org/debian-mentors/2011/04/msg00203.html

I have since that time, taken other paths inside Debian and my interest
in packaging parallel has diminished; however if you feel you need help
with the dpkg-divert thing (assuming you choose the option [2]) I can
devote a small fraction of time to that.

regards
George Zarkadas
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Mon, 26 Mar 2012 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian Jackson <ijackson@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Mon, 26 Mar 2012 16:27:06 GMT) Full text and rfc822 format available.

Message #196 received at 518696@bugs.debian.org (full text, mbox):

From: Ian Jackson <ijackson@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: GNU parallel, name conflict with moreutils
Date: Mon, 26 Mar 2012 17:24:31 +0100
Package: debian-ctte

For quite a while we have had a program in moreutils called
/usr/bin/parallel.  More recently, we have had a new "parallel"
program which has become a GNU project, and which for compatibility
would like to own /usr/bin/parallel.

The two programs have similar purposes.  The GNU one is more
featureful; indeed, nowadays it has an emulation mode, controllable
via an initial command line option and a configuration file, which can
make it compatible with the moreutils one.

#518696 (BCC'd) is the ITP for GNU parallel.
#597050 (BCC'd) is a request to the moreutils maintainer to
                remove moreutils's parallel.

The viable answers to the key question would appear to be:

  A.  /usr/bin/parallel should be GNU parallel.
  B.  /usr/bin/parallel should be moreutils parallel.
  C.  The two programs should Conflict.
  D.  Neither program may use this name.

Everything else will follows from one of these options.

Some might say D is forbidden by Policy and that C is mandated but
this would seem perverse given that the two programs have similar
functionality and invocation - they're not unrelated in intent, even
if they are unrelated in code.  Anyway we currently have no process
for enforcing D against a maintainer who simply fails to get around to
doing their part, so would really need a TC decision.

My view is that GNU parallel should win, particularly given that it's
a successful upstream project, being actively developed, and has
various compatibility features to ease the transition.  This is no
worse a compatibility problem than when we have switched between
different programs on previous occasions.

I would like to bring this matter to the TC.  If the committee agrees
with my preferred outcome, I think the transition would look something
like this:

  1. GNU parallel is uploaded with "Replaces: moreutils (<< CURRENT)"

  2. moreutils is uploaded with /usr/bin/parallel removed, and
     transitionally "Recommends: parallel" added (dependency strength
     to be determined by the moreutils maintainer); this may need to
     be an NMU.

Ian.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Thu, 12 Apr 2012 09:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Thu, 12 Apr 2012 09:24:37 GMT) Full text and rfc822 format available.

Message #201 received at 518696@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Rogério Brito <rbrito@ime.usp.br>, Ole Tange <ole@tange.dk>
Cc: 518696@bugs.debian.org, George Zarkadas <georgios.zarkadas@gmail.com>, Noah Meyerhans <noahm@debian.org>
Subject: Re: Progress?
Date: Thu, 12 Apr 2012 11:20:39 +0200
And done. Uploaded to ftp-master, hopefully our ftp-masters will not
object to 'sql' command as too generic.

Merged changelog for initial Debian release:

parallel (20120322-1) unstable; urgency=low

  [ Ole Tange ]
  * Initial release (Closes: #518696)

  [ Rogério Brito ]
  * debian/gbp.conf: Add standard configuration.
  * Add README.source to describe how the package is usually made.
  * debian/rules: Don't special-case the clean process anymore.
  * Change the versioning of the package.
  * Remove build-dependency on dh-autoreconf.
  * debian/links:
    + make sem a symlink to parallel.
  * debian/rules:
    + Ship upstream's NEWS file as the upstream changelog.
  * Move to format "3.0 (quilt)".
  * debian/rules:
    + don't configure the package in the clean target.
    + create a configure (and configure-stamp) target.
  * debian/control:
    + update debhelper dependency to >= 7.
    + set myself as maintainer and Ole as uploader.
  * debian/rules:
    + use dh(7) style file with autoreconf add-on.
  * debian/doc-base:
    + properly register the documentation with doc-base.

  [ Ondřej Surý ]
  * Add myself to Uploaders
  * Add a diversion for /usr/bin/parallel to allow concurrent install
    with moreutils
  * Install to debian/tmp to allow mangling of the files
  * Install site-wide config with enabled Tollef's parallel
    compatibility option
  * Add ${perl:Depends} to debian/control
  * Install only HTML documentation
  * Add --list-missing to dh_install to check if we got everything
  * Install upstream README file
  * Remove --id-length from git-dch, it only makes Debian changelog
    harder to read

 -- Ondřej Surý <ondrej@debian.org>  Thu, 12 Apr 2012 11:04:40 +0200


On Sun, Mar 4, 2012 at 22:44, Rogério Brito <rbrito@ime.usp.br> wrote:
> Hi, Ondřej.
>
> On Sun, Mar 4, 2012 at 18:12, Ondřej Surý <ondrej@sury.org> wrote:
>> any progress on uploading to unstable?  I can help/sponsor/comaintain.
>> If you don't respond, I'll just pick whatever is in collab-maint,
>> check it (is the conflict with moreutils solved) and upload to
>> unstable?
>
> Just for the record, I have updated the packaging and pushed it to collab-maint:
>
>    http://anonscm.debian.org/gitweb/?p=collab-maint/parallel.git
>
> Please let me know if there is anything else that I should do.
>
> Regards,
>
> --
> Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
> http://rb.doesntexist.org : Packages for LaTeX : algorithms.berlios.de
> DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



-- 
Ondřej Surý <ondrej@sury.org>




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 12 Apr 2012 12:21:05 GMT) Full text and rfc822 format available.

Notification sent to sthibault@debian.org:
Bug acknowledged by developer. (Thu, 12 Apr 2012 12:22:19 GMT) Full text and rfc822 format available.

Message #206 received at 518696-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 518696-close@bugs.debian.org
Subject: Bug#518696: fixed in parallel 20120322-1
Date: Thu, 12 Apr 2012 12:17:28 +0000
Source: parallel
Source-Version: 20120322-1

We believe that the bug you reported is fixed in the latest version of
parallel, which is due to be installed in the Debian FTP archive:

parallel_20120322-1.debian.tar.gz
  to main/p/parallel/parallel_20120322-1.debian.tar.gz
parallel_20120322-1.dsc
  to main/p/parallel/parallel_20120322-1.dsc
parallel_20120322-1_all.deb
  to main/p/parallel/parallel_20120322-1_all.deb
parallel_20120322.orig.tar.bz2
  to main/p/parallel/parallel_20120322.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 518696@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated parallel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 12 Apr 2012 11:04:40 +0200
Source: parallel
Binary: parallel
Architecture: source all
Version: 20120322-1
Distribution: unstable
Urgency: low
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 parallel   - build and execute command lines from standard input in parallel
Closes: 518696
Changes: 
 parallel (20120322-1) unstable; urgency=low
 .
   [ Ole Tange ]
   * Initial release (Closes: #518696)
 .
   [ Rogério Brito ]
   * debian/gbp.conf: Add standard configuration.
   * Add README.source to describe how the package is usually made.
   * debian/rules: Don't special-case the clean process anymore.
   * Change the versioning of the package.
   * Remove build-dependency on dh-autoreconf.
   * debian/links:
     + make sem a symlink to parallel.
   * debian/rules:
     + Ship upstream's NEWS file as the upstream changelog.
   * Move to format "3.0 (quilt)".
   * debian/rules:
     + don't configure the package in the clean target.
     + create a configure (and configure-stamp) target.
   * debian/control:
     + update debhelper dependency to >= 7.
     + set myself as maintainer and Ole as uploader.
   * debian/rules:
     + use dh(7) style file with autoreconf add-on.
   * debian/doc-base:
     + properly register the documentation with doc-base.
 .
   [ Ondřej Surý ]
   * Add myself to Uploaders
   * Add a diversion for /usr/bin/parallel to allow concurrent install
     with moreutils
   * Install to debian/tmp to allow mangling of the files
   * Install site-wide config with enabled Tollef's parallel
     compatibility option
   * Add ${perl:Depends} to debian/control
   * Install only HTML documentation
   * Add --list-missing to dh_install to check if we got everything
   * Install upstream README file
   * Remove --id-length from git-dch, it only makes Debian changelog
     harder to read
Checksums-Sha1: 
 4c997ad90bb98b8497934519877d6efbb6be886f 1282 parallel_20120322-1.dsc
 2f99a28eb3dd904b7aa0817dcfacf65bded4f845 224794 parallel_20120322.orig.tar.bz2
 e54b693e14b5eb47f7493b07363b798461d565bb 3560 parallel_20120322-1.debian.tar.gz
 bca5a5c3f5a810fc9297263f13d476c0cc6e651b 164860 parallel_20120322-1_all.deb
Checksums-Sha256: 
 ace6d11272746576f0caf18aeec3f18bcd01f45e69ccee5cc98c4862341a8fe2 1282 parallel_20120322-1.dsc
 b267b684d20a674eeada9e8498964a601efdc3c8895fee9a7859c0ae9ea4a3da 224794 parallel_20120322.orig.tar.bz2
 8c737fcf9a4bfd40363b60250ba433f52d83745cebd36ae83725798d141fe1f8 3560 parallel_20120322-1.debian.tar.gz
 9c2679a382f91ce5f751088532d46a94150aec2f7120043133e87db214da1317 164860 parallel_20120322-1_all.deb
Files: 
 870aa401db224fed92a329977289692e 1282 utils extra parallel_20120322-1.dsc
 ceb12fd5eac4a9d2ca18ffebe970b0be 224794 utils extra parallel_20120322.orig.tar.bz2
 7c4b9573fdbbe1487e86705720a35de7 3560 utils extra parallel_20120322-1.debian.tar.gz
 6dbe7dd02bdcf0f28c76fa735fe0fca1 164860 utils extra parallel_20120322-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk+GnYwACgkQ9OZqfMIN8nOiKgCgh4DKWihAUiUkUApZDyzq0q6S
lUwAoI3pdKKkTlTVAFHvu9XFbuakw3/U
=OtEk
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, sthibault@debian.org:
Bug#518696; Package wnpp. (Thu, 12 Apr 2012 13:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, sthibault@debian.org. (Thu, 12 Apr 2012 13:36:06 GMT) Full text and rfc822 format available.

Message #211 received at 518696@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Ondřej Surý <ondrej@sury.org>
Cc: Ole Tange <ole@tange.dk>, 518696@bugs.debian.org, George Zarkadas <georgios.zarkadas@gmail.com>, Noah Meyerhans <noahm@debian.org>
Subject: Re: Progress?
Date: Thu, 12 Apr 2012 10:33:38 -0300
Hi, Ondřej.

On Thu, Apr 12, 2012 at 06:20, Ondřej Surý <ondrej@sury.org> wrote:
> And done. Uploaded to ftp-master, hopefully our ftp-masters will not
> object to 'sql' command as too generic.

Thanks for the upload. It passed the NEW queue, and is already in
incoming.debian.org. :)


Thanks again,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 May 2012 07:40:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:03:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.